Sonnet Allegro FireWire 800 PCI Card

45.00 + vat
(54.00)

Sonnet Allegro FireWire 800 PCI Card
Stock Status: This product is a special order item and is ordered on request.
Usually ships within 20 working days

Condition: Brand New

This is a PCI card, and is used in desktop computers - for Macs this means that it is only compatible with PowerMac computers previous to the PowerMac G5 Dual Core, since only these PowerMacs have PCI slots (please see the compatibility listing below for the list of compatible PowerMacs for this product).

The card is a controller for FireWire 800. FireWire 800 is the faster FireWire protocol with a theoretical maximum transfer rate of 800Mb/s. It has 9 pin FireWire ports, and is backwards compatible with FireWire 400 with the use of 9pin - 6pin or 9pin - 4pin FireWire cables.

Please be aware that a connection like FireWire or USB which is added via an expansion card will not provide the same level of electrical power as a built in connection. This means that devices such as portable hard drives or optical drives may require additional power by a mains adaptor.

The Sonnet Allegro FireWire 800 provides 2 9pin FireWire 800 ports and 1 6pin FireWire 400 port, and is compatible with a wide range of PowerMacs (please see below for the full list of compatible machines).

Warranty: 1 year Return To Base

Compatibility

This product is compatible with the following Macs:

"
Powermac G5
"
PowerMac G4 FireWire 800
"
PowerMac G4 Dual Optical
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G4 Quicksilver 2002
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G4 Quicksilver
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G4 Digital Audio
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G4 Graphite (Dual Processor)
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G4 AGP (Single Processor)
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G4 PCI Graphics
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.
"
PowerMac G3 Blue & White
FireWire 800 requires OS 10.2.3 or above (10.2.5 highly recommended). Under OS 9.x - 10.2.2 FireWire 800 will function as normal FireWire 400.

Reviews